This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### saveStrings()
Examples |
    String words = "apple bear cat dog";
    String[] list = split(words, ' ');

    // Writes the strings to a file, each on a separate line
    saveStrings("nouns.txt", list);
Description | Writes an array of Strings to a file, one line per String. By default, this file is saved to the sketch's folder. This folder is opened by selecting "Show Sketch Folder" from the "Sketch" menu. Alternatively, the file can be saved to any location on the computer by using an absolute path (something that starts with / on Unix and Linux, or a drive letter on Windows). Starting with Processing 1.0, all files loaded and saved by the Processing API use UTF-8 encoding. In earlier releases, the default encoding for your platform was used, which causes problems when files are moved to other platforms.
Syntax |
    saveStrings(filename, data)
Parameters |
filename | String: filename for output
data | String[]: string array to be written
Returns | void
Related | loadStrings() loadBytes() saveBytes()

Updated on October 26, 2013 08:58:31pm PDT